<?php

session_start();

require_once ("../../config/Cado.php");



?>



<div class="content-wrapper">

<!-- Content Header (Page header) -->

<section class="content-header">

  <h1>

    Reporte Digemid

    <small>modulo</small>

  </h1>

  <ol class="breadcrumb">

    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

    <li><a href="#">Consultas</a></li>

    <li class="active">Reporte Digemid</li>

  </ol>

</section>

<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

	<div class="row">

	    <div class="col-xs-12">

		    <div class="box">

		        <div class="box-header">

		          <button id="btn_actualizar" class="btn btn-primary">Actualizar</button>		  

		        </div>

		    </div>

		</div>

	</div>

</section>





			<div id="div_venta_filtro" class="">

      		</div>

           

            <div id="div_venta_tabla" class="">

      		</div>

			





</div>



 

			

<script type="text/javascript">



function reporteDigemid_filtro()

{

	$.ajax({

		type: "POST",

		url: "../digemid/digemid_filtro.php",

		async:true,

		dataType: "html",                      

		beforeSend: function() {

			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	

		

			$('#div_venta_filtro').html('Cargando...');

        },

		success: function(html){

			$('#div_venta_filtro').html(html);

		},

		complete: function(){

			reporteDigemid_tabla();

		}

	});

}



function reporteDigemid_tabla()

{

	$.ajax({

		type: "POST",

		url:"../digemid/digemid_tabla.php",

		async:true,

		dataType: "html",

		data: $("#for_fil_rep").serialize(),

		beforeSend: function() {

			$('#msj_venta_tabla').html("Cargando datos...");

			$('#msj_venta_tabla').show(100);

			$('#div_venta_tabla').addClass("ui-state-disabled");

        },

		success: function(html){

			$('#div_venta_tabla').html(html);

		},

		complete: function(){			

			$('#div_venta_tabla').removeClass("ui-state-disabled");

			$('#msj_venta_tabla').hide(100);

		}

	});     

}





function venta_impresion(idf){



	if(confirm("Desea imprimir éste documento?")){

		venta_imppos_datos(idf);

	}

}

function venta_imppos_datos(id_ven){	

	//if(confirm("Desea imprimir éste documento?")){

		$.ajax({

			type: "POST",

			url: "../venta/venta_imppos_datos.php",

			async:true,

			dataType: "json",                      

			data: ({ ven_id: id_ven}),

			beforeSend: function() {

				//$('#msj_venta').html("Imprimiendo...");

				//$('#msj_venta').show(100);

				

			},

			success: function(data){



				venta_imppos_comprobante(data,data.imp_doc);

				$('#div_venta_form').dialog("close");

			}

		});

	//}

}



function venta_imppos_comprobante(datos,url_doc){	

	$.ajax({

		type: "POST",

		url: url_doc,

		async:true,

		dataType: "html",                      

		data: datos,

		beforeSend: function()

		{

			console.log(datos);

			//$('#msj_venta_imp').html("Imprimiendo...");

			//$('#msj_venta_imp').show(100);

		},

		success: function(html){						

			$('#msj_venta_imp').html(html);		

		}

	});

}









function eliminar_venta(id)

{      

	if(confirm("Realmente desea eliminar?")){

		$.ajax({

			type: "POST",

			url: "../venta/venta_reg.php",

			async:true,

			dataType: "html",

			data: ({

				action: "eliminar",

				ven_id:		id

			}),

			beforeSend: function() {

				/* $('#msj_venta').html("Cargando..."); */

				$('#msj_venta').show(100);

			},

			success: function(html){

				$('#msj_venta').html(html);

				$('#msj_venta').show();

			},

			complete: function(){

				reporteDigemid_tabla();

			}

		});

	}

}



function venta_anular(id,texto)

{      

	if(confirm("Realmente desea anular venta "+texto+", se actualizará el stock. ASEGURESE QUE LAS CANTIDADES DE PRODUCTO SE PUEDAN REPONER CORRECTAMENTE.  Continuar?")){

		$.ajax({

			type: "POST",

			url: "../venta/venta_anular.php",

			async:true,

			dataType: "json",

			data: ({

				action: "anular",

				ven_id:	id

			}),

			beforeSend: function() {

				$('#msj_venta').html("Cargando...");

				$('#msj_venta').show(100);

			},

			success: function(data){

				$('#msj_venta').html(data.msj);

			},

			complete: function(){

				//$("#chk_ven_anu").removeAttr("checked");

				reporteDigemid_tabla();

			}

		});

	}

	else

	{

		$("#chk_ven_anu").removeAttr("checked");

		reporteDigemid_tabla();	

	}

}



function venta_reporte(url)

{	

	$("#for_fil_ven").attr("action", url);

	$("#for_fil_ven").submit();

}



function modo(url){

	$('#hdd_modo').val(url);

	reporteDigemid_tabla();

};



$(function() {

	

	$('#btn_actualizar').click(function() {

	$("#content").load("../digemid/digemid_vista.php");

	});

	setTitle("REPORTE DIGEMID - "+nombreEmpresa);	

	

		

	reporteDigemid_filtro();		

	

	

});

</script>







